#include <iostream>
#include <cmath>

using namespace std;

int main()
{
   int x1, x2, y1, y2, xk, yk, a, b;
   cin>>x1>>y1;
    cin>>x2>>y2;
    if (x1==x2 && y1==y2)
        cout<<0<<endl;
    if (x1==x2 || y1==y2)
        cout<<2<<endl;
    xk=x1-x2;
    yk=y1-y2;
    a=abs(xk);
    b=abs(yk);
    if (a==b)
        cout<<1<<endl;
    return 0;
}